--SOUNDS :
-- NORMAL : ??

mobs:register_mob("frog:frog", {
	--nametag = "frog" ,
	type = "animal",
	passive = false,
	attack_type = "dogfight",
	attack_animals = true,
	specific_attack = { "mobs_animal:bee" },
	pathfinding = true,
	reach = 2,
	damage = 5,
	hp_min = 2,
	hp_max = 5,
	armor = 150,
	collisionbox = {-0.3, -1.0, -0.2, 0.2, 0.05, 0.2},
	visual = "mesh",
	mesh = "frog.b3d",
	rotate = 180,
	textures = {
		{"frog.png"},
		{"frog_brown.png"},
		{"frog_red.png"},
		
	},
	--blood_texture = "",
	makes_footstep_sound = true,
	sounds = {
		--attack = "",
		random = "frog",
		--death = "",
	},
	walk_velocity = 2,
	run_velocity = 3,
	jump = true,
	jump_height = 6,
	fly_in = {"default:water_source", "default:water_flowing"},
	floats = 0,
	stepheight = 1.1,
	fall_damage = 1,
	view_range = 20,
	drops = {
		--{name = "skulls:bone", chance = 2, min = 1, max = 1},
		
		
	},
	water_damage = 0,
	lava_damage = 5,
	light_damage = 0,
	follow = {"mobs_animal:bee"}, 
	animation = {
		speed_normal = 15,
		stand_start = 0,
		stand_end = 15,
		walk_start = 20,
		walk_end = 100,
		fly_start = 20, 
		fly_end = 100,
		--run_start = 50,
		--run_end = 59,
		punch_start = 120,
		punch_end = 140,
		punch_speed = 30,
	},
	
	
	
	        on_rightclick = function(self, clicker) -- No momento pode somente , repodruzir ou Curar...
	         
		if mobs:feed_tame(self, clicker, 8, true, true) then
		return 
		end
		
		
		if mobs:protect(self, clicker) then return end
		if mobs:capture_mob(self, clicker, 30, 50, 80, false, nil) then return end
		end,

	
	
})




mobs:spawn({
	name = "frog:frog",
	nodes = {"default:dirt_with_rainforest_litter"},
	min_light = 8,
	--max_light = 14,
	chance = 10000,
	min_height = 0,
	max_height = 200,
	
})




mobs:register_egg("frog:frog", "Frog", "frogegg.png", 1)



